#ifndef MD2_3_H
#define MD2_3_H

#include <pthread.h>
#include <stdbool.h>
#include <stdint.h>
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <sys/types.h>
#include <sys/wait.h>
#include <unistd.h>q

/**
 * @brief This implementation loads the file in bits and not at once
 *
 * @param _ unused
 * @param filename name of the file to load
 * @param out
 */
void md2_hash_3(size_t len, const uint8_t buf[len], uint8_t out[16]);
void md2_checksum_3(size_t len, uint8_t* buf);

#endif  // MD2_3_H